GNU Radio's TEST Package

Classes | Namespaces | Typedefs
device.h File Reference
`#include <osmosdr/api.h>`
`#include <osmosdr/pimpl.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <stdexcept>`
`#include <string>`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Classes
class | osmosdr::device_t
class | osmosdr::device

## Namespaces
namespace | osmosdr

## Typedefs
typedef std::map< std::string, std::string > | string_string_dict_t
typedef std::vector< device_t > | osmosdr::devices_t
| A typedef for a vector of logical devices. More...

## Typedef Documentation

## ◆ string_string_dict_t

typedef std::map<std::string, std::string> string_string_dict_t